Subject: RE: bug#10945: Can't search through help menu.

From: Drew Adams <[email-masked]>
Date: Thu, 4 May 2017 20:40:37 -0700 (PDT)

> IMO any key that isn't bound should fallback to its standard binding,
> and the keys should only apply when the focus is in the minibuffer, like
> other prompts (e.g., find-file).
> 
> In terms of implementation, I think this would mean binding the map
> only in the minibuffer instead of using read-key-sequence.

I don't have time to check now, but I think that the minibuffer
is not involved here at all.  Instead, an event is read directly.
IOW, this is more akin to `y-or-n-p': there is a prompt, but is
not for reading input from the minibuffer.

And the keymap used is a local one created by
`help-for-help-internal', which is a function defined
using `make-help-screen'.